Subject: Re: bug#70984: 30.0.50; Improved support for entering quotation marks, Re: bug#70984: 30.0.50; Improved support for entering quotation marks

From: Stephen Berman <[email-masked]>
Date: Fri, 17 May 2024 11:59:30 +0200

On Fri, 17 May 2024 10:59:57 +0200 Robert Pluim <[email-masked]> wrote:

>>>>>> On Fri, 17 May 2024 10:21:08 +0200, Stephen Berman
> <[email-masked]> said:
>
>     >> Iʼm assuming this means youʼre both ok with the key sequences I chose.
>
>     Stephen> As an innocent bystander I was at first puzzled at your choice of 'C-x 8
>     Stephen> < <' and 'C-x 8 > >' for "‹" and "›", respectively; but then I found
>     Stephen> that 'C-x 8 <' and 'C-x 8 >' in the global map already produce "«" and
>     Stephen> "»", presumably because the latter are the real quotation marks in
>     Stephen> French, while "single guillemets" are less frequently used.  So your
>     Stephen> choice makes sense after all.
>
> Exactly (should I put the existing C-x 8 bindings in the NEWS
> entry?).

That probably would have spared me my momentary puzzlement and the brief
time it took me to discover 'C-x 8 <' and 'C-x 8 >', but I'm not sure
that makes them NEWSworthy.

> Iʼm more doubtful about my choices for the German quotation marks in
> the C-x 8 map. They correspond to the keys that have '(' and ')' on
> the US keyboard, but not the German standard keyboard, but theyʼre
> easy to type on both layouts. I could put them on 'C-x 8 8' and 'C-x 8
> 9', since those can produce '[' and ']' in the German layout, which is
> kind of mnemonic.

Yeah, and also shifted '8' and '9' produce "(" and ")" in the German
layout, so using '8' and '9' for another pairing seems better motivated
for the German iso-transl map than '9' and '0'.

>                   (The official German layout has them on 2nd or 3rd
> level shift variants of 'x' and 'v', which I thought was too
> convoluted to emulate).

Probably.  To add to the convolution, I use a German keyboard under
Xfce4 with the no dead keys layout, and that assigns "„" to AltGr-v and
"“" to AltGr-b; no idea why... (In my experience, for email and
non-processed text in German, "" is mostly used for quoting.
LibreOffice automatically turns "" into „“ in documents configured for
German, and otherwise, when I need processed German text I use LaTeX.)

Steve Berman